package cn.com.qmth.examcloud.question.core.paper;

/**
 * 题包装器
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionWrapper implements QuestionWrapper {

	/**
	 * 选项排序值
	 */
	private String[] optionPermutation;

	/**
	 * 题ID
	 */
	private String questionId;

	/**
	 * 题分数
	 */
	private Float questionScore;

	/**
	 * 得分
	 */
	private Float resultScore;

	@Override
	public String[] getOptionPermutation() {
		return optionPermutation;
	}

	@Override
	public void setOptionPermutation(String[] optionPermutation) {
		this.optionPermutation = optionPermutation;
	}

	@Override
	public String getQuestionId() {
		return questionId;
	}

	@Override
	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	@Override
	public Float getQuestionScore() {
		return questionScore;
	}

	@Override
	public void setQuestionScore(Float questionScore) {
		this.questionScore = questionScore;
	}

	@Override
	public Float getResultScore() {
		return resultScore;
	}

	@Override
	public void setResultScore(Float resultScore) {
		this.resultScore = resultScore;
	}

}
