package cn.com.qmth.examcloud.question.core.paper;

/**
 * 题包装器
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface QuestionWrapper {

	/**
	 * 获取乱序值
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String[] getOptionPermutation();

	/**
	 * 设置乱序值
	 *
	 * @author WANGWEI
	 * @param optionPermutation
	 */
	public void setOptionPermutation(String[] optionPermutation);

	/**
	 * 获取体ID
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String getQuestionId();

	/**
	 * 设置题ID
	 *
	 * @author WANGWEI
	 * @param questionId
	 */
	public void setQuestionId(String questionId);

	/**
	 * 获取题分数
	 *
	 * @author WANGWEI
	 * @return
	 */
	public Float getQuestionScore();

	/**
	 * 设置题分数
	 *
	 * @author WANGWEI
	 * @param questionScore
	 */
	public void setQuestionScore(Float questionScore);

	/**
	 * 获取得分
	 *
	 * @author WANGWEI
	 * @return
	 */
	public Float getResultScore();

	/**
	 * 设置得分
	 *
	 * @author WANGWEI
	 * @param resultScore
	 */
	public void setResultScore(Float resultScore);

}
