package cn.com.qmth.examcloud.question.core.question;

import java.util.List;

/**
 * 题<完整题>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestion implements Question {

	private static final long serialVersionUID = 195811114083691548L;

	/**
	 * 题ID
	 */
	private String id;

	/**
	 * 题型
	 */
	private QuestionType questionType;

	/**
	 * 主版本
	 */
	private QuestionStructure masterVersion;

	/**
	 * 分支版本
	 */
	private List<QuestionStructure> branchVersionList;

	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public QuestionType getQuestionType() {
		return questionType;
	}

	@Override
	public void setQuestionType(QuestionType questionType) {
		this.questionType = questionType;
	}

	@Override
	public QuestionStructure getMasterVersion() {
		return masterVersion;
	}

	@Override
	public void setMasterVersion(QuestionStructure masterVersion) {
		this.masterVersion = masterVersion;
	}

	@Override
	public List<QuestionStructure> getBranchVersionList() {
		return branchVersionList;
	}

	@Override
	public void setBranchVersionList(List<QuestionStructure> branchVersionList) {
		this.branchVersionList = branchVersionList;
	}

}