package cn.com.qmth.examcloud.question.core.question;

import java.util.List;

/**
 * 题结构<完整题机构>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionStructure implements QuestionStructure {

	private static final long serialVersionUID = 4744728219699873386L;

	/**
	 * 题结构体
	 */
	private String body;

	/**
	 * 版本号
	 */
	private String version;

	/**
	 * 体单元集合
	 */
	private List<QuestionUnit> questionUnitList;

	@Override

	public String getBody() {
		return body;
	}

	@Override
	public void setBody(String body) {
		this.body = body;
	}

	@Override
	public String getVersion() {
		return version;
	}

	@Override
	public void setVersion(String version) {
		this.version = version;
	}

	@Override
	public List<QuestionUnit> getQuestionUnitList() {
		return questionUnitList;
	}

	@Override
	public void setQuestionUnitList(List<QuestionUnit> questionUnitList) {
		this.questionUnitList = questionUnitList;
	}

}