package cn.com.qmth.examcloud.question.core.paper;

import java.util.List;

import cn.com.qmth.examcloud.question.core.question.QuestionType;

/**
 * 题分组集合
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionGroup implements QuestionGroup {

	private static final long serialVersionUID = 2149814711274942645L;

	/**
	 * 题组名称
	 */
	private String groupName;

	/**
	 * 题包装器集合
	 */
	private List<QuestionWrapper> QuestionWrapperList;

	/**
	 * 题组总分
	 */
	private Float groupScore;

	/**
	 * 题(集合)类型
	 */
	private QuestionType questionType;

	@Override
	public String getGroupName() {
		return groupName;
	}

	@Override
	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	@Override
	public List<QuestionWrapper> getQuestionWrapperList() {
		return QuestionWrapperList;
	}

	@Override
	public void setQuestionWrapperList(List<QuestionWrapper> questionWrapperList) {
		QuestionWrapperList = questionWrapperList;
	}

	@Override
	public Float getGroupScore() {
		return groupScore;
	}

	@Override
	public void setGroupScore(Float groupScore) {
		this.groupScore = groupScore;
	}

	@Override
	public QuestionType getQuestionType() {
		return questionType;
	}

	@Override
	public void setQuestionType(QuestionType questionType) {
		this.questionType = questionType;
	}

}
